Search the Community
Showing results for tags 'thicken'.
-
How to select a "loft" surface via lisp to thicken
Hachi posted a topic in AutoLISP, Visual LISP & DCL
Hey guys! I'm trying to write a lisp that creates a 3D reducer. Once I create the 3D surface via command "_Loft" it remains to create a 3d solid body with the "thicken" command. I can't select the 3D loft surface. Can anyone help with this? Thanks in advance for the answers! Here is my code: (defun c:ccs (/ DK DN L P1 P2 P3 P4 RK RN S NS) (setq Dn (getreal "Adja meg a nagyobb vezeték külső átmérőjét:")) ; Give me the biger pipe diameter (setq Dk (getreal "Adja meg a kisebb vezeték átmérőt:")); give me the reduced diameter (setq L (getreal "Adja meg az átmenet hosszát:")); give me the length in which have to be reduced (setq s (getreal "Adja meg a falvastagságot:")); give me the thickness of the pipe (setq Rn (/ Dn 2)) (setq Rk (/ Dk 2)) (setq ns (min s (- 1))) (setq p1 '(0 0 0)) (setq p2 (list 0 0 L)) (setq p3 (polar p1 0 Rn)) (setq p4 (polar p2 0 Rk)) (setq p5 (polar p3 (/ pi 2) Dn)) (setq p6 (polar p1 pi Dn)) (command "_Circle" p1 Rn "") (command "_Zoom" "_All" "") (command "_Circle" p2 Rk "") (command "_Zoom" "_All" "") (command "_loft" p3 p4 "" "") (command "_select" p5 p6 "") ;(command "_THICKEN" ns "") (princ) )